Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1692347 - samba system-upgrade from f29 to f30 brakes dc setup
Summary: samba system-upgrade from f29 to f30 brakes dc setup
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: samba
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Guenther Deschner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-25 12:26 UTC by Andreas Bierfert
Modified: 2019-04-05 00:01 UTC (History)
10 users (show)

Fixed In Version: samba-4.10.1-0.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-05 00:01:32 UTC


Attachments (Terms of Use)

Description Andreas Bierfert 2019-03-25 12:26:16 UTC
Upgrading from f29 to f30 via system-upgrade brakes samba dc due to broken upgrade path.

Before the upgrade python2-samba-dc is installed but the system-upgrade does not pull in python3-samba-dc (only python3-samba). The upgrade goes through and obviously samba does not work as expected afterwards because the dc python modules are missing.

Comment 1 Fedora Update System 2019-04-02 09:19:31 UTC
samba-4.10.0-6.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-728dc348c6

Comment 2 Fedora Update System 2019-04-03 02:27:17 UTC
samba-4.10.0-6.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-728dc348c6

Comment 3 Fedora Update System 2019-04-03 10:21:55 UTC
samba-4.10.1-0.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ca2eb8b8e2

Comment 4 Fedora Update System 2019-04-04 01:59:29 UTC
samba-4.10.1-0.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ca2eb8b8e2

Comment 5 Fedora Update System 2019-04-05 00:01:32 UTC
samba-4.10.1-0.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.